sqrt
Prev | Orchestra Opcodes and Operators | Next

## sqrt

sqrt — Returns a square root value.

## Description

Returns the square root of x (x non-negative).

The argument value is restricted for log, log10, and sqrt.

## Syntax

    sqrt(x) (no rate restriction)

where the argument within the parentheses may be an expression. Value converters perform arithmetic translation from units of one kind to units of another. The result can then be a term in a further expression.

## Examples

Here is an example of the sqrt opcode. It uses the file sqrt.csd.

Example 437. Example of the sqrt opcode.

See the sections Real-time Audio and Command Line Flags for more information on using command line flags.

    <CsoundSynthesizer>
    <CsOptions>
    ; Select audio/midi flags here according to platform
    ; Audio out   Audio in
    -odac           -iadc    ;;;RT audio I/O
    ; For Non-realtime ouput leave only the line below:
    ; -o sqrt.wav -W ;;; for file output any platform
    </CsOptions>
    <CsInstruments>

    ; Initialize the global variables.
    sr = 44100
    kr = 4410
    ksmps = 10
    nchnls = 1

    ; Instrument #1.
    instr 1
      i1 = sqrt(64)
      print i1
    endin

    </CsInstruments>
    <CsScore>

    ; Play Instrument #1 for one second.
    i 1 0 1
    e

    </CsScore>
    </CsoundSynthesizer>

Its output should include lines like this:

    instr 1:  i1 = 8.000

## See Also

abs, exp, frac, int, log, log10, i

## Credits

Example written by Kevin Conder.

Prev | Up | Next
sprintfk | Home | sr